Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf
Class IdPSite

    java.lang.Object
      edu.internet2.middleware.shibboleth.wayf.IdPSite

    public class IdPSite

extends Object

A class which abstracts an IdP for the sake of the WAYF display. Given an `EntityDescriptor` as input it provides bean style get functions for the name (EntityId), the display name (a hybrid of Organization name or EntityId and the IdP's SSO connection point.

Nested Class Summary
`static class` | `IdPSite.Compare`

Constructor Summary
`IdPSite(org.opensaml.saml2.metadata.EntityDescriptor entityParam)` Create a new element from the provided Entity.

Method Summary
`protected int` | `compareTo(Object o, javax.servlet.http.HttpServletRequest req)` Comparison so we can sort the output for jsp.
`String` | `getAddressForWAYF()` When a user has selected an IdP, this provides the address to which we redirect.
`String` | `getDisplayName()` Get the user friendly name for the entity, the language we previously set up.
`String` | `getDisplayName(javax.servlet.http.HttpServletRequest req)` Get the user friendly name for the entity, collecting the locale from the browser if possible
`org.opensaml.saml2.common.Extensions` | `getExtensions()` Return all the extension elements.
`String` | `getName()` Get the name for the enclosed entity.
`void` | `setDisplayLanguage(String lang)` Prior to display we set the display language from the browser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdPSite

    public IdPSite(org.opensaml.saml2.metadata.EntityDescriptor entityParam)

  Create a new element from the provided Entity.

  Parameters:
    `entityParam` - - What to create from

Method Detail

### getName

    public String getName()

  Get the name for the enclosed entity.

  Returns:
    the name for the enclosed entity.

### getDisplayName

    public String getDisplayName(javax.servlet.http.HttpServletRequest req)

  Get the user friendly name for the entity, collecting the locale from the browser if possible

  Parameters:
    `req` - the request
  Returns:
    a user friendly name.

### getDisplayName

    public String getDisplayName()

  Get the user friendly name for the entity, the language we previously set up.

  Returns:
    a user friendly name.

### getExtensions

    public org.opensaml.saml2.common.Extensions getExtensions()

  Return all the extension elements.

  Returns:
    the extensions

### compareTo

    protected int compareTo(Object o,
                            javax.servlet.http.HttpServletRequest req)

  Comparison so we can sort the output for jsp.

  Parameters:
    `What` - to compare against
  Returns:
    numeric encoding of comparison
  See Also:
    `Comparator`

### getAddressForWAYF

    public String getAddressForWAYF()

  When a user has selected an IdP, this provides the address to which we redirect.

  Returns:
    http address for the IdP this represents.

### setDisplayLanguage

    public void setDisplayLanguage(String lang)

  Prior to display we set the display language from the browser. There is probably a proper way to do this using jsp, but I want to keep the API between JSP and java the same 1.3->2.0

  Parameters:
    `lang` - the language to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.